Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005573TestLinkReportspublic2013-03-18 21:172013-05-22 20:59
Reporterdenjolras 
Assigned Tofman 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9.6 (2013 Q1 - bug fixing) 
Fixed in Version1.9.7 (2013 Q2 - bug fixing) 
Summary0005573: test cases assign to platform A show up in "test plan report" for All platforms
DescriptionIn "Test Plan Report", test cases and test suites list all test for all platform

For example, if there are
1) 1 Test suite (TS1)
2) 3 test cases in test suite (TC1, TC2, TC3 )
3) and 2 platforms (P1, P2 )
4) TS1->TC1 under P1
   TS1->TC2 under P2
   TS1->TC3 under P1 and P2

Now if you get a "Test Plan Report" and click on the Test suite level ( NOT project level), the report shows test suite and test cases repeats 3 times under 2 platforms while we know that each test case is used only twice.


This does not appear if you select Test suite level.

This is NOT like the fixed :
0005519: Unassigned test cases to a platform show up in "test plan report"
Steps To ReproduceAssuming there is a project with test plan and build defined:
Create 1 test suites (TS1)
Create 3 test cases in TS1 (TC1, TC2, TC3)
Create 2 platforms (P1, P2)
Add all 2 platforms
Add TC1, TC3 with platform P1 to your test plan
Add TC2, TC3 with platform P2 to your test plan

Go to report page and click on "Test Plan Report".
Click on TS1.
It is expected to see only TS1 with TC1, TC3 under P1 and TC2, TC3 under P3
 But you see TC1, TC2, TC3 under P1 and P2.
Click on top level (project level) for the report. (OK)
TagsTO BE FIXED on 2.0
Database (MySQL,Postgres,etc)MySQL
Browser
PHP Version
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Files? file icon Assignment.tiff [^] (34,330 bytes) 2013-03-18 21:19
? file icon Report.tiff [^] (37,592 bytes) 2013-03-18 21:19

- Relationships
child of 0005551closedfman Availables hot-fixes for 1.9.6 & How To get full fixed package from gitorious 

-  Notes
(0018475)
denjolras (reporter)
2013-03-18 21:20

I'm using the version got by
wget http://gitorious.org/testlink-ga/testlink-code/archive-tarball/testlink_1_9 [^]

the March 18th.
(0018488)
fman (administrator)
2013-03-19 19:00
edited on: 2013-03-19 19:34

Using one test plan with one build

Error on TestLink Eventi Viewer
E_WARNING array_merge():
Argument 0000002 is not an array - in /development/tlrepo/lib/results/printDocument.php - Line 189
THIS IS NOT RELATED TO ISSUE

(0018489)
fman (administrator)
2013-03-19 19:43

http://gitorious.org/testlink-ga/testlink-code/commit/7b26a82ef757a92ecdddfd95ea78add02b6fdd13 [^]
(0018490)
fman (administrator)
2013-03-19 19:43

please get fix, test and provide feedback
(0018537)
fman (administrator)
2013-03-21 19:21

any news ? I need to resolve
(0018539)
denjolras (reporter)
2013-03-21 19:55

Issue no longer appear.
Thanks.

- Issue History
Date Modified Username Field Change
2013-03-18 21:17 denjolras New Issue
2013-03-18 21:19 denjolras File Added: Assignment.tiff
2013-03-18 21:19 denjolras File Added: Report.tiff
2013-03-18 21:20 denjolras Note Added: 0018475
2013-03-18 21:22 fman Assigned To => fman
2013-03-18 21:22 fman Status new => assigned
2013-03-19 19:00 fman Note Added: 0018488
2013-03-19 19:34 fman Note Edited: 0018488 View Revisions
2013-03-19 19:34 fman Product Version => 1.9.6 (2013 Q1 - bug fixing)
2013-03-19 19:43 fman Note Added: 0018489
2013-03-19 19:43 fman Note Added: 0018490
2013-03-19 19:43 fman Status assigned => feedback
2013-03-19 19:44 fman Tag Attached: TO BE FIXED on 2.0
2013-03-19 19:45 fman Relationship added child of 0005551
2013-03-21 19:21 fman Note Added: 0018537
2013-03-21 19:55 denjolras Note Added: 0018539
2013-03-21 19:55 denjolras Status feedback => assigned
2013-03-21 21:37 fman QA Team - Task Workflow Status TBD => READY FOR TESTING
2013-03-21 21:37 fman Status assigned => resolved
2013-03-21 21:37 fman Fixed in Version => 1.9.7 (2013 Q2 - bug fixing)
2013-03-21 21:37 fman Resolution open => fixed
2013-05-22 20:59 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker